<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Registrades totes les rutes de l'aplicació.
|
*/
// en cas d'error
Route::get('error', function () {
    abort(503);
});
//per obtenir imatges de fora de la carpeta public framework. S'utilitza static files
// per a les imatges d'accessos situades fora del servidor
Route::get('images/{filename}', function ($filename)
{
    $path = '/home/oriol/AccesNucliAntic/imatges_prova/' . $filename;
    if(!File::exists($path)) abort(404);

    $file = File::get($path);
    $type = File::mimeType($path);

    $response = Response::make($file, 200);
    $response->header("Content-Type", $type);

    return $response;
});
//autentificacio
Route::auth();

//Benvinguda
Route::get('/',  'WelcomeController@index');

//contadors accessos
Route::get('/actualitzar',  'WelcomeController@contarAccessos');

//alta vehicle autoritzada mostra
Route::get('/alta_autoritzacio', 'NewAutoritzacioController@index');
//alta vehicle autoritzada afegir
Route::post('/alta_autoritzacio', 'NewAutoritzacioController@addNewCotxe');
//alta vehicle autoritzada borrar
Route::post('/alta_autoritzacio/borrar', 'NewAutoritzacioController@borrarCotxe');

//insertat accessos tramesos per openalpr
Route::post('/acces', 'NewAccesController@postAcces');

//sancions mostra
Route::get('/sancions', 'SancioController@consulta');
//sancions sancionar
Route::post('/sancions', 'SancioController@postSancionar');
//sancions marcar error lectura
Route::post('/sancions/errorlectura', 'SancioController@marcarErrorLectura');
//sancions autoritzat acces
Route::post('/sancions/autoritzar', 'SancioController@autoritzarAcces');

//llistar accessos
Route::get('/accessos', 'LlistatAccessosController@index');
Route::post('/accessos/data', 'LlistatAccessosController@indexData');

//confirmar matricules mostra
Route::get('/confirmar', 'ConfirmarMatriculesController@index');
//confirmar matricules actualitzar valor
Route::post('/confirmar', 'ConfirmarMatriculesController@postConfirmarMatricules');
//confirmar matricules borrar
Route::post('/confirmar/borrar', 'ConfirmarMatriculesController@borrarBadAcces');
//confirmar matricules marcar lectura correcta
Route::post('/confirmar/matricula', 'ConfirmarMatriculesController@bonaLecturaAcces');

//calendari festius mostra
Route::get('/festius', 'CalendariFestiusController@index');
//calendari festius insertar periode
Route::post('/festius', 'CalendariFestiusController@insertData');
//calendari festius borrar periode
Route::post('/festius/borrar', 'CalendariFestiusController@borrarData');

//llistat usuaris
Route::get('/llistarusuaris', 'UsersController@llistarUsuaris');
//eliminar usuari
Route::post('/llistarusuaris/eliminar', 'UsersController@eliminarUsuaris');

